/* generated javascript */
var skin = 'monobook';
var stylepath = '../../../skins';

/* MediaWiki:Common.js */
/* Bet koks čia parašytas JavaScript bus paleistas kieviename puslapyje kievienam naudotojui. */
/*
UWAGA! Ten JavaScript działa dla wszystkich skórek. Należy zachować szczególną ostrożność wprowadzając tutaj zmiany!

'''Wyłączenie poszczególnych możliwości/skryptów'''
* Oznaczanie artykułów medalowych (dla interwiki)
 window.LinkFADone = true;
* Przesunięcie linków [ edytuj ] przy sekcjach
 var oldEditsectionLinks=true;
* Poprawka tytułu przy "Ograniczeniach technicznych"
 disableRealTitle = true;

</pre>
/*
== Importowanie funkcji działających podczas edycji ==
* '''Zobacz:''' [[MediaWiki:Onlyifediting.js]]
<pre>
*/
if (document.URL.indexOf("action=edit") > 0 || document.URL.indexOf("action=submit") > 0)
{
	if (wgCanonicalNamespace != "Special")
	{
		document.write('<script type="text/javascript" src="/w/index.php?title=MediaWiki:Onlyifediting.js&action=raw&ctype=text/javascript&dontcountme=s&r1"></script>');
	}
}

/*
</pre>

== Przesunięcie linków [ edytuj ] przy sekcjach ==
; Autor: Copyright 2006, Marc Mongenet
; Opis: Wyszukuje &lt;span class="editsection"> i przesuwa na koniec ich rodzica (nagłówka sekcji) wyświetlając ''inline'' ze zmniejszoną czcionką.
; Licencja: 
This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

http://www.gnu.org/licenses/gpl.html
<pre>
*/
addOnloadHook(function() {
 try {
	if (!(typeof oldEditsectionLinks == 'undefined' || oldEditsectionLinks == false)) return;
	var spans = document.getElementsByTagName("span");
	for (var s = 0; s < spans.length; ++s) {
		var span = spans[s];
		if (span.className == "editsection") {
			span.style.cssText = 'float:none; font-size:x-small; font-weight: normal;';
			span.parentNode.appendChild(document.createTextNode(" "));
			span.parentNode.appendChild(span);
		}
	}
 } catch (e) { /* błąd */ }
});

/*
</pre>

== Small search keyboard ==
; Author: Maciej Jaros [[:pl:User:Nux]]
; Licence: CC-BY or [http://opensource.org/licenses/gpl-license.php GNU General Public License v2]
<pre>
*/
if (wgNamespaceNumber == -1 && wgPageName=="Specjalna:Szukaj")
{
	addOnloadHook(addSearchKeyboard);
}

function addSearchKeyboard() {
	var subEl = document.getElementById('results');
	var newEl = document.createElement('div');
	newEl.className = 'search_keyboard';
	newEl.innerHTML = "\
<b>Klawiaturka:\
&nbsp;<a onclick=\"insertTagsTo_('ą','','','lsearchbox');return false\" href=\"#\">ą</a>\
<a onclick=\"insertTagsTo_('ć','','','lsearchbox');return false\" href=\"#\">ć</a>\
<a onclick=\"insertTagsTo_('ę','','','lsearchbox');return false\" href=\"#\">ę</a>\
<a onclick=\"insertTagsTo_('ł','','','lsearchbox');return false\" href=\"#\">ł</a>\
<a onclick=\"insertTagsTo_('ń','','','lsearchbox');return false\" href=\"#\">ń</a>\
<a onclick=\"insertTagsTo_('ó','','','lsearchbox');return false\" href=\"#\">ó</a>\
<a onclick=\"insertTagsTo_('ś','','','lsearchbox');return false\" href=\"#\">ś</a>\
<a onclick=\"insertTagsTo_('ź','','','lsearchbox');return false\" href=\"#\">ź</a>\
<a onclick=\"insertTagsTo_('ż','','','lsearchbox');return false\" href=\"#\">ż</a></b>\
";
	newEl.style.cssText = 'margin-left:25%; width:50%; font-size:small;';
	subEl.parentNode.insertBefore(newEl, subEl);
}
/*
</pre>
== Wikicharts ==
; Author: [[:de:User:LeonWeber]]
; UWAGA!: Nie należy tu nic zmieniać bez konsultacji z autorem.
<pre>
*/
// this should be adjusted to a good value.
// BE CAREFULL, you will break zedler if it's too low!
// And then DaB. will kill Leon :-(
var disable_counter = 0;
var counter_factor = 300;

function pgcounter_setup()
{
	if(disable_counter == 0)
	{
		var url = window.location.href;
		if(Math.floor(Math.random()*counter_factor)==42)  // the probability thing
		{
			if(wgIsArticle==true) // do not count history pages etc.
			{
				var pgcountNs = wgCanonicalNamespace;
				if(wgCanonicalNamespace=="")
				{
					pgcountNs = "0";
				}
				var cnt_url = "http://pgcount.wikimedia.de/index.png?ns=" + pgcountNs + "&title=" + encodeURI(wgTitle) + "&factor=" + counter_factor + "&wiki=plwiki";
				var img = new Image(); 
				img.src = cnt_url;
			}
		}
	}
}
// Do not use aOnloadFunctions[aOnloadFunctions.length] = pgcounter_setup;, some browsers don't like that.
pgcounter_setup();

/*
</pre>
== Oznaczanie artykułów medalowych ==
<pre>
*/
function LinkFA() 
{
	// stop before starting
	if (window.LinkFADone)
		return;

	// check only if there is any interwiki
	if (document.getElementById('p-lang'))
	{
		// iterate over all <span>-elements
		var ems = document.getElementById('bodyContent').getElementsByTagName('em');
		var langs = document.getElementById('p-lang').getElementsByTagName('li');
		for(var i=0; i<ems.length; i++) {
			// if found a FA span
			if(ems[i].className == 'FA') {
				// iterate over all <li>-elements
				for(var j=0; j<langs.length; j++) {
					// if found a FA link
					if(langs[j].className == "interwiki-" + ems[i].id) {
						langs[j].style.cssText = "list-style-image: url(\"http://upload.wikimedia.org/wikipedia/commons/thumb/1/17/Wikimedal.png/7px-Wikimedal.png\")";
						langs[j].title = "Ten artykuł to 'Artykuł na medal'";
						// there can be only one ;)
						break;
					}
				}
			}
		}
	}
}
addOnloadHook(LinkFA);
/*
</pre>

== Image page translation (PL) ==
; Author: Maciej Jaros [[:pl:User:Nux]]
; Licence: [http://opensource.org/licenses/gpl-license.php GNU General Public License v2]
<pre>
*/
if (wgNamespaceNumber == 6 && wgUserLanguage == "pl")	// Image:
{
	addOnloadHook(plImagePageTranslation);
}

function plImagePageTranslation()
{
	var el = document.getElementById('fileinfotpl_desc')
	if (el)
	{
		// Description
		el.innerHTML = 'Opis';
		// Source
		el = document.getElementById('fileinfotpl_src');
		el.innerHTML = 'Źródło';
		el = el.parentNode.getElementsByTagName('TD')[0];
		el.innerHTML = el.innerHTML.replace(/<p>own work<\/p>/i, 'własna praca')
		// Date
		document.getElementById('fileinfotpl_date').innerHTML = 'Data';
		// Author
		document.getElementById('fileinfotpl_aut').innerHTML  = 'Autor';
		// Permission
		el = document.getElementById('fileinfotpl_perm');
		el.innerHTML = 'Warunki udostępnienia';
		el = el.parentNode.getElementsByTagName('TD')[0];
		el.innerHTML = el.innerHTML.replace(/<p>see below<\/p>/i, 'zobacz poniżej')
		// Other versions
		el = document.getElementById('fileinfotpl_ver')
		if (el) el.innerHTML  = 'Inne wersje';
		
		//
		// Common section headers translation
		var els = document.getElementById('bodyContent').getElementsByTagName('H2');
		for (var i=0; i<els.length; i++)
		{
			for (var j=0; j<els[i].childNodes.length; j++)
			{
				if (els[i].childNodes.item(j).className && els[i].childNodes.item(j).className=='mw-headline')
				{
					var cur = els[i].childNodes.item(j);
					switch (cur.innerHTML)
					{
						case 'Summary':
							cur.innerHTML = 'Konspekt';
						break;
						case 'Licensing':
							cur.innerHTML = 'Licencja';
						break;
						case 'Full description':
						case 'Description':
							cur.innerHTML = 'Pełny opis';
						break;
					}
				}
			}
		}
	}
}

/*
</pre>
== Skrypty zewnętrzne ==
; Nazwa (opis): Poprawka tytułu przy "Ograniczeniach technicznych". Szerszy opis [[MediaWiki:RealTitleBanner.js]].
<pre>
*/
var disableRealTitle = 0;	// ustawienie tego na 1 lub true w swoim monobook.js pozwoli wyłączyć tę funkcjonalność
addOnloadHook(function() {
	if (disableRealTitle==0)
	{
		document.write('<script type="text/javascript" src="/w/index.php?title=MediaWiki:RealTitleBanner.js&action=raw&ctype=text/javascript&dontcountme=s"></script>');
	}
});
/*</pre>
; Nazwa (opis): Popup do zgłaszania błędów i inny popup... Więcej: [[MediaWiki:Wikibugs.js]], [[MediaWiki:Blacklist.js]]
<pre>*/
if (wgUserGroups==null || wgUserGroups[0]!='sysop') // tylko dla nie-sysopów
{
	document.write('<script type="text/javascript" src="/w/index.php?title=MediaWiki:Wikibugs.js&action=raw&ctype=text/javascript&dontcountme=s"></script>');
	document.write('<script type="text/javascript" src="/w/index.php?title=MediaWiki:Blacklist.js&action=raw&ctype=text/javascript&dontcountme=s"></script>');
}
/*
</pre>

; Nazwa (opis): Skrypt dla anonimowych użytkowników umożliwiający odznaczenie wiadomości jako przeczytanych (na daną sesję). Patrz: [[MediaWiki:Youvegotmail.js]]
<pre>*/
if (wgUserGroups==null) // tylko dla anonimowych
{
	document.write('<script type="text/javascript" src="/w/index.php?title=MediaWiki:Youvegotmail.js&action=raw&ctype=text/javascript&dontcountme=s"></script>');
}
/*
</pre>

== Drobne skrypty ==
; Author: Maciej Jaros [[:pl:User:Nux]]
; License: Public domain
; Opis: Zaznacza wszystkie elementy typu "checkbox" na stronie - wywołanie javascript:ZaznaczWszystkie()
<pre>
*/
function ZaznaczWszystkie()
{
	var inpt = document.getElementsByTagName('input');
	for (var i=inpt.length-1; i>=0; i--)
		if (inpt[i].type=='checkbox')
			inpt[i].checked=true;
}
/*</pre>
; Opis: Ekstra przycisk na stronie odtwarzania (przydatne jeśli usuwa się tylko jedną wersję)
<pre>*/
if (wgPageName == "Specjalna:Odtwórz")
{
	addOnloadHook(function()
	{
		var el=document.getElementById('undelete');
		if (el)
		{
			el=el.getElementsByTagName('input')[2].parentNode;
			var newEl = document.createElement('input');
			newEl.onclick = ZaznaczWszystkie;
			newEl.value = 'Zaznacz wszystkie';
			newEl.type = 'button';
			el.appendChild(newEl);
		}
	});
}
/*</pre>
; Opis: Dodanie linka do sprawdzania adresu IP w ripe.net
<pre>*/
if (wgPageName == "Specjalna:Blokuj")
{
	addOnloadHook(function()
	{
		var el = document.getElementById('mw-bi-target')
		if (el)
		{
			if (!isNaN(parseInt(el.value)))
			{
			    var newEl = document.createElement('a');
			    var newAttr = document.createAttribute('target');
			    newAttr.nodeValue = '_blank'
			    newEl.setAttributeNode(newAttr);
			    newAttr = document.createAttribute('href');
			    newAttr.nodeValue = 'http://www.ripe.net/whois?form_type=simple&full_query_string=&searchtext='+el.value+'&do_search=Search'
			    newEl.setAttributeNode(newAttr);
			    newEl.appendChild(document.createTextNode(' sprawdź IP!'));
			    el.parentNode.insertBefore(newEl, el.nextSibling);
			}
		}
	});
}
/*</pre>
; Opis: dla kompatybilności różnich skróptów z IE
<pre>*/

if (!Array.prototype.indexOf)
{
        Array.prototype.indexOf = function(elt /*, from*/)
        {
                var len = this.length;

                var from = Number(arguments[1]) || 0;
                from = (from < 0) ? Math.ceil(from) : Math.floor(from);
                if (from < 0)
                        from += len;

                for (; from < len; from++)
                {
                        if (from in this && this[from] === elt)
                                return from;
                }
                return -1;
        };
}


// END OF MediaWiki:Common.js
// </pre>

/* MediaWiki:Monobook.js (deprecated; migrate to Common.js!) */
/*

'''Wyłączenie poszczególnych możliwości/skryptów'''
* Dodanie linka [edytuj] dla sekcji nagłówkowej
 window.addEditTopLinkDone = true;
* Dynamiczne szablony nawigacyjne
 window.createNavigationBarToggleButtonDone = true;
* Automatyczne opisy zmian
 window.przyciskiOpisDone = true;
* Menu dla edittools (''obecnie i tak nieaktywne'')
 window.addCharSubsetMenuDone = true;

==== Dodanie linka [edytuj] dla sekcji nagłówkowej ====
; Pomysł: [[:en:User:Pile0nades]]
; Wykonanie: Maciej Jaros [[:pl:User:Nux]]
; Licencja: [http://opensource.org/licenses/gpl-license.php GNU General Public License v2]
<pre>
*/
// Liczba nagłówków drugiego, trzeciegiego i czwartego stopnia
// jakie muszą się pojawić w artykule, żeby pojawił się link
var addEditTopLinkNumHeaders = 2; // dla 2 => dla dwóch i więcej się pojawi
function addEditTopLink() {
	//
	// somehow it gets run twice on some pages - stop that
	if (window.addEditTopLinkDone)
		return
	;
	window.addEditTopLinkDone = true;

	//	
	// if this is preview page or there is no edit tab, stop
	if (!wgIsArticle)
		return
	;

	//	
	// if there are no edit-section links then stop
	var spans = document.getElementById("bodyContent").getElementsByTagName("span");
	var i;
	for (i = 0; i < spans.length; i++) {
		if (spans[i].className == 'editsection')
			break
		;
	}
	if (i>=spans.length)
		return
	;

	//
	// additional checkup to stop
	var test = document.getElementById("bodyContent").getElementsByTagName("h2").length +
		document.getElementById("bodyContent").getElementsByTagName("h3").length +
		document.getElementById("bodyContent").getElementsByTagName("h4").length;
	// note that there is always siteSub (h3)
	if (test<=addEditTopLinkNumHeaders)
		return
	;
	
	//
	// get first header element
	var fst_h1 = document.getElementById("content").getElementsByTagName("h1")[0];

	//
	// Creating elements
	//
	// create div
	var div = document.createElement("DIV");
	div.className = 'editsection';
	// create link
	var link = document.createElement("A");
	link.href = document.getElementById("ca-edit").getElementsByTagName("a")[0].href + '&section=0';
	link.setAttribute('title', 'taisītė sekcėjė');
	link.appendChild(document.createTextNode('taisītė'));
	// append link and stuff to div
	div.appendChild(document.createTextNode('['));
	div.appendChild(link);
	div.appendChild(document.createTextNode(']'));

	//
	// Styling
	//
	fst_h1.style.cssText = 'position:relative';
	div.style.cssText = 'position:absolute; right:0px; font-size:x-small; bottom:-1.7em';
	// IE fix — relative>absolute just dont work there (is positioned relative to body)
	if (clientPC.indexOf('msie')!=-1 && clientPC.indexOf('opera') == -1)
		div.style.cssText='position:absolute; right:1.5em; font-size:x-small; top:3.8em'
	;

	//
	// Insert div container into the DOM before the h1
	//
	fst_h1.appendChild(div);
}
addOnloadHook(addEditTopLink);

/*
</pre>

==== Standardowe zakładki ====
<pre>
*/
ta = new Object();
ta['pt-userpage'] = new Array('.','Mona nauduotuojė poslapis');
ta['pt-anonuserpage'] = new Array('.','Nauduotuojė poslapis Tamstas IP ardesou');
ta['pt-mytalk'] = new Array('n','Mona aptarėmu poslapis');
ta['pt-anontalk'] = new Array('n','Aptarėms pakeitėmu, padėrbtū so šėtou IP');
ta['pt-preferences'] = new Array('','Mona nustatimā');
ta['pt-watchlist'] = new Array('l','Sārašos straipsniu, katrus Tamsta pasėrinkuot keravuotė.');
ta['pt-mycontris'] = new Array('y','Mona padėrbtū pakeitėmu sārašos');
ta['pt-login'] = new Array('o','Siūluom prisėjongtė, alė tas nie privaluoma.');
ta['pt-anonlogin'] = new Array('o','Siūluom prisėjongtė, alė tas nie privaluoma.');
ta['pt-logout'] = new Array('o','Atsėjongtė');
ta['ca-talk'] = new Array('t','Straipsnė aptarėms');
ta['ca-edit'] = new Array('e','Tamsta galat redagoutė šėtūn straipsnė. Nepamėrškat parveizietė pakeitėmus prīš ėšsaugont.');
ta['ca-addsection'] = new Array('+','Pradietė naujė aptarėma tema.');
ta['ca-viewsource'] = new Array('e','Poslapis ožrakints īr. Galat tik paveizietė kuoda.');
ta['ca-history'] = new Array('h','Onkstesnės poslapiaus versėjės.');
ta['ca-protect'] = new Array('=','Oždraustė šėtūn poslapė');
ta['ca-delete'] = new Array('d','Ėštrintė šėtūn poslapė');
ta['ca-undelete'] = new Array('d','Atstatītė poslapė so vėsās padėrbtās pakeitėmās');
ta['ca-move'] = new Array('m','Parvadintė straipsnė');
ta['ca-nomove'] = new Array('','Netorat teisiu parvadintė šėtūn straipsnė');
ta['ca-watch'] = new Array('w','Pridietė straipsnė i stebėmū sāraša');
ta['ca-unwatch'] = new Array('w','Ėšjimtė straipsnė ėš stebėmū sāraša');
ta['search'] = new Array('f','Ėiškuotė pruojektė Wikipedia');
ta['p-logo'] = new Array('','I pėrma poslapė');
ta['n-mainpage'] = new Array('z','Apsėlonkīkat pėrmam poslapie');
ta['n-portal'] = new Array('','Aple pruojekta, kon īr galėma dėrbtė, kor kon rastė');
ta['n-currentevents'] = new Array('','Raskat sosėjosė infuormacėjė dabartėnīms keitėmams');
ta['n-recentchanges'] = new Array('r','Paskotėniu keitėmu sārašos.');
ta['n-randompage'] = new Array('x','Parinktė atsėtėktėnė straipsnė');
ta['n-help'] = new Array('','Vėita, kor rasat nuoramus atsakimus.');
ta['n-sitesupport'] = new Array('','Aukuokat pruojektou');
ta['t-whatlinkshere'] = new Array('j','Sārašos straipsniu, ruodontiu i čė');
ta['t-recentchangeslinked'] = new Array('k','Paskotėnē keitėmā straipsniūs, pasėikiamū ėš tuo straipsniaus');
ta['feed-rss'] = new Array('','RSS piedsaks šėtam poslapiau');
ta['feed-atom'] = new Array('','Atom piedsaks šėtam poslapiau');
ta['t-contributions'] = new Array('','Paveizietė nauduotuojaus indelė - dėrbtė keitėmus');
ta['t-emailuser'] = new Array('','Siūstė el. gruomatelė nauduotuojou');
ta['t-upload'] = new Array('u','Idietė paveikslioka arba media faila');
ta['t-specialpages'] = new Array('q','Specialiūju poslapiu sārašos');
ta['ca-nstab-main'] = new Array('c','Parētė pri straipsniaus kuoda');
ta['ca-nstab-user'] = new Array('c','Ruodītė nauduotuojaus poslapė');
ta['ca-nstab-media'] = new Array('c','Ruodītė media poslapė');
ta['ca-nstab-special'] = new Array('','Tas poslapis ī specēlosis - anuo redagoutė negal.');
ta['ca-nstab-wp'] = new Array('a','Ruodītė pruojekta poslapė');
ta['ca-nstab-image'] = new Array('c','Ruodītė paveikslioka poslapė');
ta['ca-nstab-mediawiki'] = new Array('c','Ruodītė sėstemėnė pranešėma');
ta['ca-nstab-template'] = new Array('c','Ruodītė šabluona');
ta['ca-nstab-help'] = new Array('c','Ruodītė pagelbas poslapė');
ta['ca-nstab-category'] = new Array('c','Ruodītė kateguorėjės poslapė');
/*
</pre>

==== Dynamiczne szablony nawigacyjne ====
<pre>
*/
// set up the words in your language
var NavigationBarHide = '[ Kavuotė ]';
var NavigationBarShow = '[ Ruodītė ]';

// set up max count of Navigation Bars on page,
// if there are more, all will be hidden
// NavigationBarShowDefault = 0; // all bars will be hidden
// NavigationBarShowDefault = 1; // on pages with more than 1 bar all bars will be hidden
var NavigationBarShowDefault = 1;


// shows and hides content and picture (if available) of navigation bars
// Parameters:
//     indexNavBar: the index of navigation bar to be toggled
function toggleNavigationBar(indexNavBar)
{
	var NavToggle = document.getElementById("NavToggle" + indexNavBar);
	var NavFrame = document.getElementById("NavFrame" + indexNavBar);
	
	if (!NavFrame || !NavToggle)
		return
	;
	
	// values to be set
	var currDisplay;
	var currTitle;
	
	// if shown now
	if (NavToggle.firstChild.data == NavigationBarHide)
	{
		currDisplay = 'none';
		currTitle = NavigationBarShow;
	}
	// if hidden now
	else if (NavToggle.firstChild.data == NavigationBarShow)
	{
		currDisplay = 'block';
		currTitle = NavigationBarHide;
	}
	
	for (var NavChild=NavFrame.firstChild; NavChild!=null; NavChild=NavChild.nextSibling)
	{
		if (NavChild.nodeType==1)	// only if this is an element node
		{
			if (NavChild.className=='NavPic' || NavChild.className=='NavContent')
				NavChild.style.display = currDisplay
			else if (NavChild.className == 'NavToggle')
				NavChild.firstChild.data = currTitle
			;
		}
	}
}

// adds show/hide-button to navigation bars
function createNavigationBarToggleButton()
{
	// stop before starting
	if (window.createNavigationBarToggleButtonDone)
		return;

	var i;
	var indexNavBar = 0;
	var divs = document.getElementById('bodyContent').getElementsByTagName("div");
	// iterate over all < div >-elements
	for (i=0; i<divs.length; i++)
	{
		// if found a navigation bar
		if (divs[i].className == "NavFrame")
		{
			var NavFrame = divs[i];
			indexNavBar++;
			var NavToggle = document.createElement("a");
			NavToggle.className = 'NavToggle';
			NavToggle.setAttribute('id', 'NavToggle' + indexNavBar);
			NavToggle.setAttribute('href', 'javascript:toggleNavigationBar(' + indexNavBar + ');');
			
			var NavToggleText = document.createTextNode(NavigationBarHide);
			NavToggle.appendChild(NavToggleText);
			
			// add NavToggle-Button as first div-element 
			// in < div class="NavFrame" >
			NavFrame.insertBefore(NavToggle, NavFrame.firstChild);
			NavFrame.setAttribute('id', 'NavFrame' + indexNavBar);
		}
	}
	// if more Navigation Bars found than Default then hide all
	if (NavigationBarShowDefault < indexNavBar)
	{
		for(i=1; i<=indexNavBar; i++)
			toggleNavigationBar(i)
		;
	}

}

addOnloadHook(createNavigationBarToggleButton);

/*
</pre>

==== Dodatkowe zakładki ====
* Używane m.in. do dostarczenia linków do narzędzi dla obrazków Duesentrieba.
* Tutaj tylko ustawienia, pełny skrypt: [[MediaWiki:Extra-tabs.js]]
<pre>
*/

//
// skrypt niepotrzebny dla stron specjalnych
if (wgNamespaceNumber != -1)
{
	// Interface strings
	var tab_check_usage = 'Wykorzystanie';
	var tab_categorize = 'Kategoryzacja';
	var tab_log = 'Log';
	var tab_gallery = 'Galeria';
	// var tab_orphans = 'Nieużywane';
	var tab_untagged = 'Bez licencji';
	var tab_tree = 'Drzewo';
	var tab_catscan = 'CatScan';
	var tab_blocklog = 'Blocklog';

	// embeds the global script
	document.write('<script type="text/javascript" src="/w/index.php?title=MediaWiki:Extra-tabs.js&amp;action=raw&amp;ctype=text/javascript&amp;smaxage=3600"><\/script>');
}
/*
</pre>

==== funkcja insertTagsTo_ ====
; Author: phpBB Team, WikiMedia, Maciej Jaros [[:pl:User:Nux]]
; Licence: [http://opensource.org/licenses/gpl-license.php GNU General Public License v2]
; Description: Apply tagOpen/tagClose to selection in given textarea/input, use sampleText instead of selection if there is none. Copied and adapted from phpBB
<pre>
*/
// outputid = 'some_id_of_a_textarea_or_a_text_input'
function insertTagsTo_(tagOpen, tagClose, sampleText, outputid) {
	var txtarea = document.getElementById(outputid);
	if (!txtarea)
		return
	;

	// IE
	if (document.selection  && !is_gecko) {
		var theSelection = document.selection.createRange().text;
		if (!theSelection)
			theSelection=sampleText;
		txtarea.focus();
		if (theSelection.charAt(theSelection.length - 1) == " ") { // exclude ending space char, if any
			theSelection = theSelection.substring(0, theSelection.length - 1);
			document.selection.createRange().text = tagOpen + theSelection + tagClose + " ";
		} else {
			document.selection.createRange().text = tagOpen + theSelection + tagClose;
		}

	// Mozilla
	} else if(txtarea.selectionStart || txtarea.selectionStart == '0') {
		var replaced = false;
		var startPos = txtarea.selectionStart;
		var endPos = txtarea.selectionEnd;
		if (endPos-startPos)
			replaced = true;
		var scrollTop = txtarea.scrollTop;
		var myText = (txtarea.value).substring(startPos, endPos);
		if (!myText)
			myText=sampleText;
		if (myText.charAt(myText.length - 1) == " ") { // exclude ending space char, if any
			subst = tagOpen + myText.substring(0, (myText.length - 1)) + tagClose + " ";
		} else {
			subst = tagOpen + myText + tagClose;
		}
		txtarea.value = txtarea.value.substring(0, startPos) + subst +
			txtarea.value.substring(endPos, txtarea.value.length);
		txtarea.focus();
		//set new selection
		if (replaced) {
			var cPos = startPos+(tagOpen.length+myText.length+tagClose.length);
			txtarea.selectionStart = cPos;
			txtarea.selectionEnd = cPos;
		} else {
			txtarea.selectionStart = startPos+tagOpen.length;
			txtarea.selectionEnd = startPos+tagOpen.length+myText.length;
		}
		txtarea.scrollTop = scrollTop;
	}
	// reposition cursor if possible
	if (txtarea.createTextRange)
		txtarea.caretPos = document.selection.createRange().duplicate();
}
/*
</pre>
=== Link do brudnopisów w menu osobistym ===

; autor: [[Wikipedysta:Herr Kriss]]
<pre>
*/

//============================================================
// Papildomų ikonų pridėjimas įrankių juostoje
//============================================================

//Remplit la variable mwCustomEditButtons (voir /skins-1.5/commons/wikibits.js) pour ajouter des boutons à la barre d'outils
function addCustomButton(imageFile, speedTip, tagOpen, tagClose, sampleText)
{
 mwCustomEditButtons[mwCustomEditButtons.length] =
 {"imageFile": imageFile,
  "speedTip": speedTip,
  "tagOpen": tagOpen,
  "tagClose": tagClose,
  "sampleText": sampleText};
}

addCustomButton('http://upload.wikimedia.org/wikipedia/commons/2/23/Quotes-Lithuanian.png','Kabotės',"„","“",'');
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/3/30/Btn_toolbar_rayer.png','Parbrouktė',"<s>","</s>",'');
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/8/88/Btn_toolbar_enum.png','Sōrašos',"\n# elementas 1\n# elementas 2\n# elementas 3","",'');
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/1/11/Btn_toolbar_liste.png','Vardinėms',"\n* elementas A\n* elementas B\n* elementas C","",'');
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/9/9e/Btn_toolbar_gallery.png','Galerėjė',"\n<gallery>\nImage:M63.jpg|[[M63]]\nImage:Mona Lisa.jpg|[[La Joconde]]\nImage:Truite arc-en-ciel.jpg|Une [[truite]]\n</gallery>","",'');
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/3/37/Btn_toolbar_commentaire.png','Kuomentarā',"<!--","-->",'');
addCustomButton('http://upload.wikimedia.org/wikipedia/en/c/c8/Button_redirect.png','Nukreipėms',"#REDIRECT [[","]]",'straipsnio pavadinimas');
addCustomButton('http://upload.wikimedia.org/wikipedia/commons/b/b5/Button_mini_stub.png','Straipsnė šabluons',"'''", "''' - <!-- apibriežėms -->\n\n[[Category:]]<!-- puo dvėtaškė irašīkėt kateguorėjė -->\n[[en:]]<!-- puo dvėtaškė irašīkėt onglėška straipsnė pavadinėma -->", '{'+'{subst:PAGENAME}'+'}');

//Ressemble à la fonction de /skins-1.5/commons/wikibits.js pour insérer un autre lien que insertTags
function marque_tab()
{
 var toolbar = document.getElementById('toolbar');
 if (!toolbar) return false;
 
 var textbox = document.getElementById('wpTextbox1');
 if (!textbox) return false;
 
 if (!document.selection && textbox.selectionStart == null)
 return false;
 
 var image = document.createElement("img");
 image.width = 23;
 image.height = 22;
 image.src = 'http://upload.wikimedia.org/wikipedia/commons/0/04/Button_array.png';
 image.border = 0;
 image.alt = 'Lentelė';
 image.title = 'Lentelė';
 image.style.cursor = "pointer";
 image.onclick = function() {
   popupTableau();
   return false;
 }
 toolbar.appendChild(image);
}

addLoadEvent(marque_tab);

/*
</pre>
*/

// END OF MediaWiki:Monobook.js
// </pre>